#include <cstdint>
#include <fstream>
#include <iostream>
using namespace std;

int main( int argc, char* argv[] ) {
   if( argc != 3 ) {
      cout << "команда: " << argv[ 0 ] 
           << "<строка_поиска> <имя_файла> " << endl;
      return 1; 
   } 
   ifstream fi;
   fi.open( argv[ 2 ] );
   if( !fi.is_open() ) {
      cerr << "нет такого файла!: " << argv[ 1 ] << endl;
      return 1; 
   };
   string buf;
   while( !fi.eof() ) {
      getline( fi, buf ); 
      ulong pos = buf.find( argv[ 1 ] );
      if( pos == string::npos ) {
         cout << "не найдено" << endl;
         continue;
      }
      do cout << pos << " , ";
      while( ( pos = buf.find( argv[ 1 ], ++pos ) ) != string::npos );
      cout << endl;
   }
   return 0; 
}
